# $Revision: 1.22 $, $Date: 2004/08/24 15:16:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	GnuPG
%define	pnam	Interface
Summary:	GnuPG::Interface - Perl interface to GnuPG
Summary(pl):	GnuPG::Interface - interfejs perlowy do GnuPG
Name:		perl-GnuPG-Interface
Version:	0.33
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GnuPG/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7349795ec874c2af78eec7f274d96bc8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Class-MethodMaker
%endif
# not recognized by perl.req
Requires:	perl-Class-MethodMaker
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuPG::Interface and its associated modules are designed to provide an
object-oriented method for interacting with GnuPG, being able to
perform functions such as but not limited to encrypting, signing,
decryption, verification, and key-listing parsing.

%description -l pl
GnuPG::Interface i powizane moduy su powstay, by udostpni
obiektowo zorientowany sposb na interakcj z GnuPG. Moduy mog
wykonywa funkcje takie jak szyfrowanie, podpisywanie,
odszyfrowywanie, weryfikacj, analiz list kluczy i inne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS MANIFEST
%{perl_vendorlib}/GnuPG/*.pm
%dir %{perl_vendorlib}/auto/GnuPG/Interface
%{perl_vendorlib}/auto/GnuPG/Interface/*.al
%{perl_vendorlib}/auto/GnuPG/Interface/*.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GnuPG-Interface.spec,v $
Revision 1.22  2004/08/24 15:16:57  radek
- release 8: R: perl-Class-MethodMaker

Revision 1.21  2004/08/01 22:59:22  ankry
- added missing dir, rel. 7

Revision 1.20  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.19  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.17  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.16  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.15  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.14  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.12  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:32:46  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/17 13:23:03  qboosh
- longer descriptions, removed bogus URL, release 4

Revision 1.4  2002/10/16 13:07:56  ankry
- fixed dependencies

Revision 1.3  2002/10/15 11:55:32  qboosh
- typo, release 3

Revision 1.2  2002/10/14 23:26:24  tjbynum
- proper version with all needed stuff.

Revision 1.1  2002/10/14 20:59:04  tjbynum
- important perl module, STBR ASAP.
